import { TemplateRef, ComponentFactoryResolver, Injector, ViewContainerRef, Type } from "@angular/core";
export declare type BottomSheetContent<T> = TemplateRef<T> | Type<T>;
export declare class BottomSheetContext {
    dismiss: (value?: any) => void;
    setValue: (value?: any) => void;
    constructor();
}
export declare class BottomSheetProvider {
    private injector;
    private resolver;
    rootVcRef: ViewContainerRef;
    constructor(injector: Injector, resolver: ComponentFactoryResolver);
    show<T>(templateRef: BottomSheetContent<T>, options: {
        title: string;
        stops: number[];
    }): Promise<any>;
    private resolveContent;
}
